package GrabInfo::Plugin::_hosts::_addresses::_ip::_service ;
@ISA = qw(GrabInfo::Plugin) ;

use strict ;
use Data::Dumper ;
use FindBin ;


sub iterate {
	my $this = shift ;

	my $ip = $this->get_context_data('ip') ;
	my $ip_data = $this->get_context_data('ip_data') ;
	if ((! $ip_data)||(! $ip)){
		return () ;
	}

	return map {[$_, $ip_data->{$ip}->{$_}]} keys %{$ip_data->{$ip}} ;
}


sub snapshot {
	my $this = shift ;
	my ($port, $data) = @{shift(@_)} ;

	$this->{xml_tag}->add_attr("_port", $port) ;
	$this->{xml_tag}->add_attr("_exe", $data->{exe}) ;
	$this->{xml_tag}->add_attr("nb_conn", $data->{nb_conn}) ;
}


1 ;


