package GrabInfo::Plugin::_machine::_static::memory ;
@ISA = qw(GrabInfo::Plugin) ;

use strict ;


sub snapshot {
	my $this = shift ;

	my $lines = $this->slurp_file("/proc/meminfo") ;
	if ($lines){
		my @m = (split(/\s+/, $lines->[1])) ;
		shift @m ;
		my @s = (split(/\s+/, $lines->[2])) ;
		shift @s ;

		my $mt = $this->unitize($m[0]) ;
		my $st = $this->unitize($s[0]) ;

		my $mk = $this->{xml_tag}->create_kid("ram") ;
		$mk->add_attr("total", $mt) ;
		$this->{xml_tag}->add_kid($mk) ;
		my $sk = $this->{xml_tag}->create_kid("swap") ;
		$sk->add_attr("total", $st) ;
		$this->{xml_tag}->add_kid($sk) ;
	}
}


1 ;

