package GrabInfo::Plugin::_machine::disk ;
@ISA = qw(GrabInfo::Plugin) ;

use strict ;


my @fs_types = qw(ext3 ext2 reseirfs xfs jfs minix) ;


sub snapshot {
	my $this = shift ;

	my $lines = $this->run_cmd("/bin/df -P -t" . join(" -t", @fs_types)) ;
	if ($lines){
		shift @{$lines} ;
		foreach my $l (@{$lines}){
			my @d = (split(/\s+/, $l)) ;
			my $name = $this->{xml_tag}->validate_tag_name($d[0], 1) ;

			my $dk = $this->{xml_tag}->create_kid($name) ;
			$d[4] =~ s/%$// ;
			$dk->add_attr("percent_used", $d[4]) ;
			$this->{xml_tag}->add_kid($dk) ;
		}
	}
}


1 ;


