package GrabInfo::Plugin::_machine::traffic ;
@ISA = qw(GrabInfo::Plugin) ;

use strict ;


sub snapshot {
	my $this = shift ;

	my $lines = $this->slurp_file("/proc/net/dev") ;
	if ($lines){
		shift @{$lines} ;
		shift @{$lines} ;
		
		foreach my $d (@{$lines}){
			$d =~ s/^\s+// ;
			$d =~ s/\s+$// ;
			my @c = split(/[\s:]+/, $d) ;
			my $name = $this->{xml_tag}->validate_tag_name($c[0], 1) ;

			my $dk = $this->{xml_tag}->create_kid($name) ;
			if ($name eq 'lo'){
				$dk->add_attr("bytes", $c[1]) ;
				$dk->add_attr("packets", $c[2]) ;
				$dk->add_attr("errors", $c[3]) ;
			}
			else{
				my $sk = $dk->create_kid('sent') ;
				$sk->add_attr("bytes", $c[9]) ;
				$sk->add_attr("packets", $c[10]) ;
				$sk->add_attr("errors", $c[11]) ;
				$dk->add_kid($sk) ;

				my $rk = $dk->create_kid('recv') ;
				$rk->add_attr("bytes", $c[1]) ;
				$rk->add_attr("packets", $c[2]) ;
				$rk->add_attr("errors", $c[3]) ;
				$dk->add_kid($rk) ;
			}
			$this->{xml_tag}->add_kid($dk) ;
		}
	}
}


1 ;


