package GrabInfo::WalkProc ;

use strict ;


sub new {
	my $class = shift ;
	my $xml_tag = shift ;
	
	my $this = {
		xml_tag => $xml_tag,
	} ;	
	
	bless($this, $class) ;
	return $this ;
}


sub	start {
	my $this = shift ;
	my $sub = shift ;
	
	# Open the /proc/ directory and call $sub for each
	# process in there.
	if (! opendir(PROC, "/proc")){
		$this->{xml_tag}->add_error("Can't open directory /proc: $!") ;
		return ;
	}
		
	while (my $dir = readdir(PROC)){
		if ($dir =~ /^\d+$/){
			$sub->($dir) ;
		}
	}
	close(PROC) ;
}


1 ;
